client-side context reset problem

02/01/2015 10:36 AM - Constantin Asofiei

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Constantin Asofiei % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 02/01/2015 10:37 AM - Constantin Asofiei

- File ca_upd20150131c.zip added

- Status changed from WIP to Review

Attached update fixes the reset of client-side context data, when CTRL-C is pressed and ClientCore.start loop goes to a second iteration.

Passed runtime testing.

#2 - 02/01/2015 11:30 AM - Greg Shah

Code Review ca_upd20150131c.zip

It looks good.  My only question is whether the ContextLocal should also have its SecurityManager instance set to null.

#3 - 02/01/2015 11:30 AM - Greg Shah

You can go ahead and check it in.

#4 - 02/01/2015 11:36 AM - Constantin Asofiei

Greg Shah wrote:

You can go ahead and check it in.

 

Released to rev 10734.

My only question is whether the ContextLocal should also have its SecurityManager instance set to null.

 

The securityManager is really used only on server-side... but to clear it, we need to keep track of all ContextLocal instances in some kind of registry.
#5 - 02/01/2015 11:41 AM - Greg Shah

- Target version set to Milestone 12

- Status changed from Review to Closed

Let's not worry about this now.  Your update is a good, safe movement forward.

#6 - 11/16/2016 12:13 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App

Files

ca_upd20150131c.zip 65.3 KB 02/01/2015 Constantin Asofiei
